Scope requirements
Scope requirements
Retrieve an audit log of user actions
To retrieve an audit log of all user actions, make aGET request to /account-info/v3/activity/audit-logs. You can include the following query parameters to filter the results:
actingUserId: retrieve user-specific logs by specifying a user ID.occurredAfter: retrieve logs starting from a specific timestamp.occurredBefore: retrieve logs up until a specific timestamp.
Retrieve login activity
To retrieve an audit log of all user logins, make aGET request to /account-info/v3/activity/login. You can retrieve user-specific login history by including the userId query parameter followed by the user ID.
The response will include an object for each login attempt (successful and unsuccessful) made in the past 90 days, including login attempts to app.hubspot.com and the HubSpot mobile app.
Retrieve security activity
To retrieve a history of security-related user activity, make aGET request to /account-info/v3/activity/security. You can include the following query parameters to filter the results:
userId: retrieve user-specific history by specifying a user ID.fromTimestamp: retrieve history starting from a specific datetime.toTimestamp: retrieve history up until a specific datetime.